Management apiEndpoints[experimental]
Create compute service
Open
Experimental endpoint: this API is in active development and may change at any time without notice. Creates a new compute service under the specified project. The projectId is required in the request body. The service is placed in the given region (or the default region if omitted).
⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️
Creates a new compute service under the specified project. The projectId is required in the request body. The service is placed in the given region (or the default region if omitted).
POST /v1/compute-services
Authorization
OAuth2 workspace:admin, offline_access
Authorization: Bearer
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
{
displayName: "string",
regionId?: "string",
projectId: "string"
}
displayName*string- Length
1 <= length <= 256
- Length
regionId?string- Default `